Skip to main content
PUT
Update invoice

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetProviderCountryCode
string
required

The two-letter country code of the asset provider

Required string length: 2
assetProviderCode
string
required

The three-character code of the asset provider the vehicles belong to

Required string length: 3
vehicleId
string
required

The id of the vehicle

invoiceId
string<uuid>
required

The id of the invoice

Body

application/json
invoiceDate
string<date>
Example:

"2025-10-15T00:00:00.000Z"

type
enum<string>
Available options:
ENERGY_FUEL_INVOICE,
EXCESS_MILEAGE_INVOICE,
PARKING_INVOICE,
INSURANCE_INVOICE,
REGISTRATION_INVOICE,
ADMINISTRATION_INVOICE,
CARBON_FOOTPRINT_INVOICE
netCost
integer<int64>

Net cost of the invoice in the local currency (cents)

grossCost
integer<int64>

Gross cost of the invoice in the local currency (cents)

taxRate
integer<int64>

Tax rate applied to the invoice

Response

Updated invoice

id
string<uuid>
required

invoice id

ocrStatus
enum<string>
required
Available options:
NOT_STARTED,
MANUAL,
PROCESSING,
PROCESSED,
ERROR
invoiceDate
string<date>
Example:

"2025-10-15T00:00:00.000Z"

type
enum<string>
Available options:
ENERGY_FUEL_INVOICE,
EXCESS_MILEAGE_INVOICE,
PARKING_INVOICE,
INSURANCE_INVOICE,
REGISTRATION_INVOICE,
ADMINISTRATION_INVOICE,
CARBON_FOOTPRINT_INVOICE
netCost
integer<int64>

Net cost of the invoice in the local currency (cents)

grossCost
integer<int64>

Gross cost of the invoice in the local currency (cents)

taxRate
integer<int64>

Tax rate applied to the invoice

blob
object